/* @import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap'); */


.req {
    color: red;
}

*:required {
    background-color: gold;
}

body{
    font-family: 'Boston';
    font-size: 16px;
    line-height: 1.6;
    letter-spacing: 0.2px;
    font-weight: 400;
    background: #000000;
    color: #E8E8E8;
}

h1, h2, h3, h4, h5{
    font-weight: bold;
    font-family: 'Boston';
    color: #FFFFFF;
}

img {
    max-width: 100%;
}

button:focus{
    outline:none;
    box-shadow: none !important;
}

button:disabled{
    cursor: not-allowed;
}

button{
    position: relative;
}

a{
    text-decoration: none;
    color: #FFFFFF;
    transition: all 0.3s ease;
    outline: none;
    
}

a:hover, a:focus, a.active{
    text-decoration: none;
    color: #fafafa;
    transition: all 0.3s ease;
    outline: none !important;
}

input:hover, input:focus{
    outline: none;
}

.container{
    max-width: 1580px;
}

.loading{
    position: absolute;
    right: 10px;
    top: 2px;

}

.lds-dual-ring {
  display: inline-block;
  width: 15px;
  height: 15px;
}

.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 15px;
  height: 15px;
  margin: 2px;
  border-radius: 50%;
  border: 2px solid #fff;
  border-color: #fff transparent #fff transparent;
  animation: lds-dual-ring 0.8s linear infinite;
}

@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.loading{
    position: absolute;
    display: none;
    top: 0px;
    left: 0px;
    background: rgba(255,255,255,0.8);
    width: 100%;
    height: 100%;
}

.loader{
    position: absolute;
    z-index: 999;
    top: 49%;
    left: 49%;
    margin-top: -7px;
    margin-left: -7px;
}

.loading.active{
    display: block;
}


/* Navigation Style */
.navigation{
    position: fixed;
    left: 0;
    top: 0;
    width: 130px;
    height: 100vh;
    background-color: #000;
    border-right: 1px solid #333;
}

.navigation .logo-wrapper{
    padding: 30px 10px;
}

.navigation .logo-wrapper .logo-link{
    display: block;
    text-align: center;
}

.navigation .logo-wrapper .logo-link img{
    width: 80%;
}

.navigation .menu-wrapper{
    text-align: center;
    position: fixed;
    top: 50%;
    width: 130px;
    left: 0px;
    margin-top: -30px;
}

.navigation .menu-wrapper .menu-btn{
    display: block;
}

.navigation .menu-wrapper .menu-btn:hover{
    opacity: 0.6;
}

.socmed-wrapper{
    position: absolute;
    bottom: 30px;
    left: 0px;
    width: 100%;
    text-align: center;
}

.socmed-wrapper .socmed-url{
    display: block;
    padding: 10px;
}

.socmed-wrapper .socmed-url:hover{
    opacity: 0.7;
}

.footer-wrapper{
    padding: 60px;
    border-top: 1px solid #333;
}

.content-container{
    margin-left: 130px;
}

.navigation-menu{
    position: fixed;
    display: table;
    top: -100%;
    width: calc(100% - 130px);
    height: 100%;
    background: rgba(0,0,0,0.9);
    color: #e8e8e8;
    z-index: 11;
    margin-left: 130px;
    right: 0;
    transition: all 0.3s ease;
    opacity: 0;
    overflow-y: auto;
}

.navigation-menu.active{
    top: 0px;
    transition: all 0.3s ease;
    opacity: 1;
}

.navigation-menu-wrapper{
    /* position: absolute; */
    /* top: 15%; */
    display: table-cell;
    width: 100%;
    vertical-align: middle;
    text-align: center;
}

.navigation-menu-wrapper .menu-items{
    display: block;
    text-align: center;
    /* max-width: 600px; */
    margin: auto;
}
.navigation-menu-wrapper .menu-items a{
    display: inline-block;
    font-size: 40px;
    font-family:'HighVoltage Rough', 'Boston', sans-serif;
    padding: 10px 20px;
    text-transform: uppercase;
}

.navigation-menu-wrapper .menu-items a:hover, .navigation-menu-wrapper .menu-items a.active{
    border-bottom: 1px solid #e8e8e8;
}

.navigation-mobile{
    display: none;
    position: fixed;
    bottom: 0px;
    left: 0px;
    width: 100%;
    padding: 20px;
    background-color: #000;
    color: #e8e8e8;
    z-index: 11;
    border-top: 1px solid #333;
}

.navigation-mobile .logo-wrapper{
    width: 70px;
}

.navigation-mobile .menu-wrapper{
    position: absolute;
    left: 50%;
    margin-left: -30px;
    top: 10px;
    width: 60px;
}

.navigation-mobile .reserve-wrapper{
    position: absolute;
    right: 20px;
    top: 50%;
    margin-top: -18px;
}

.navigation-mobile .reserve-btn-mobile{
    font-family:'HighVoltage Rough', 'Boston', sans-serif;
    border-radius: 100px;
    border: 1px solid #e8e8e8;
    font-size: 15px;
    display: inline-block;
    padding: 5px 20px;
}

.location{
    margin-top: 20px;
    text-align: center;
    font-family:'HighVoltage Rough', 'Boston', sans-serif;
    font-size: 20px;
}

.location-switch{
    width: 100%;
    height: 0px;
    overflow: hidden;
    transition: all 0.3s ease;
}

.location-switch.active{
    height: auto;
    transition: all 0.3s ease;
}

.close-menu-btn{
    font-size: 70px;
    display: inline-block;
    position: absolute;
    top: 50%;
    left: 50px;
    margin-top: -50px;
    z-index: 12;
}

.page-404{
    padding: 300px 0px;
    min-height: calc(100vh - 146px);
}

.title-404{
    font-family:'HighVoltage Rough', 'Boston', sans-serif;
    font-size: 100px;
}

/* Home Style */
.home-banner{
    width: 100%;
    height: 100vh;
}

.home-gallery-wrapper{
    padding: 15px 0px;
    cursor: grab;
}

.gallery-item{
    padding-right: 15px;
}

.home-reservation{
    /* position: relative; */
    /* height: 100%; */
    text-align: center;
    position: absolute;
    bottom: 50px;
    width: 100%;
    left: 0px;
}


.reserve-btn{
    border: 2px solid #FFF;
    border-radius: 100px;
    font-family: 'HighVoltage Rough';
    display: inline-block;
    padding: 10px 50px;
    font-size: 30px;
    text-transform: uppercase;
}

.reserve-btn:hover{
    background-color: #fff;
    color: #000;
}


.reach-us-detail{
    padding: 80px 0px 80px 80px;
}

.open-hours{
    padding: 20px;
    font-family: 'HighVoltage Rough';
    font-size: 20px;
}

/* About Page */

.floating-reserve-btn{
    position: fixed;
    bottom: 50px;
    right: 50px;
    width: 82px;
    height: 82px;
    text-align: center;
    padding: 17px 0px;
    border-radius: 100px;
    background-color: #b7272f;
    color: #fff;
    z-index: 10;
}

.floating-reserve-btn:hover{
    background-color: #881a1f;
}

.about-banner{
    max-height: 100vh;
    overflow: hidden;
}
.about-content{
    position: absolute;
    bottom: 50px;
    padding: 20px 20px 50px 50px;
    max-width: 700px;
    font-size: 20px;
    color: #E8E8E8;
}

.title{
    font-family:'HighVoltage Rough', 'Boston', sans-serif;
    font-size: 70px;
    text-transform: uppercase;
    margin-bottom: 20px;
}

.about-section-2{
    padding: 60px 0px;
}

.about-section-2-content{
    text-align: center;
    align-content: center;
}

.about-section-2-content .middle-content{
    display: inline-block;
    width: 100%;
    max-width: 500px;
    text-align: left;
    vertical-align: middle;
    font-size: 20px;
    color: #E8E8E8;
    padding: 40px;
}

.page-banner{
    height: 450px;
}

.page-content{
    padding: 50px;
}

.page-content-inner{
    max-width: 1400px;
    margin: auto;
}


/* Gyu Station */

.gyu-station-content{
    max-width: 700px;
    font-size: 18px;
    padding: 50px 0px;
}

.gyu-station-content .reserve-btn{
    margin-top: 50px;
}

.gyu-station-image{
    width: 100%;
}

/* Gallery */

#gallery-item{
    column-count: 3;
    column-gap: 20px;
    column-fill: balance;
    max-width: 1400px;
    margin: 1rem auto;
    padding: 1rem;
}

#gallery-item a {
    break-inside: avoid;
    max-width: 400px;
    width: 100%;
    margin: 0 auto 1rem auto;
}

#gallery-item a img{
    margin-bottom: 20px;
}

/* Menu Style */
.menu-category{
    position: relative;
    display: block;
    border-bottom: 1px solid #E8E8E8;
}

.menu-content{
    position: relative;
    padding: 0px 20px;
    height: 0px;
    overflow: hidden;
    transition: all 0.5s ease;
}

.menu-category.active .menu-content{
    height: auto;
    transition: all 0.5s ease;
    padding: 20px;
}

.menu-category-trigger{
    padding: 10px 20px;
    font-family:'HighVoltage Rough', 'Boston', sans-serif;
    display: block;
    font-size: 30px;
    text-transform: uppercase;
}
.menu-category-trigger:hover{
    color: #000;
    background-color: #FFF;
}

.menu-category-trigger.active{
    color: #000;
    background-color: #FFF;
}

.menu-item{
    position: relative;
    margin-bottom: 20px;
    padding-right: 140px;
}

.menu-item .menu-name{
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 5px;
}

.menu-item .menu-description{
    color: #6a6866;
    font-size: 15px;
}

.menu-item .menu-price{
    position: absolute;
    top: 0px;
    right: 20px;
    width: 100px;
    text-align: right;
}

.menu-item .menu-price .menu-price-amount{
    font-size: 20px;
    font-weight: bold;
}

.menu-item .menu-price .menu-sub-text{
    font-size: 14px;
    color: #d2d2d2;
}

/* Home Page Style */
.home-location{
    display: flex;
    width: 100%;
    height: 100vh;
}

.home-location a, .home-location .logo-container{
    display: flex;
    height: 100vh;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex-grow: 5;
}

.home-location a .box-content{
    
}

.home-location a:hover{
    flex-grow: 10;
}

.home-location .logo-container{
    flex-grow: 1;
}

.home-location .logo-container img{
    width: 150px;
}